
bullet = {}

function bulletspawn(x,y,direction)
	table.insert(bullet,{x = x,y = y, w = 4, h = 2,speed = 700, direction = direction})
end

function bulletshoot(key)
	--Shooting
	if startstate == "started" and
	key == " " and
	P_bullets > 0 and
	shootable == true then
	bulletspawn(player.x + (player.w/2),player.y + (player.h/2),B_direction)
	P_bullets = P_bullets - 1
	shootable = false
		end
	end

function bullet_update(dt)
	for i,v in ipairs(bullet) do
   if v.direction == "right" then
      v.x = v.x + v.speed * dt
   end
   if v.direction == "left" then
    v.x = v.x - v.speed * dt
			end
		end
	if P_bullets <= 0 then
	P_bullets = 0
	end
end

function bulletcollide(dt)
	
	for i,v in ipairs(bullet) do
	
	B_timedspeed = v.speed * dt
	
		if B_mapCollide(v.x - B_timedspeed, v.y + 1) or B_mapCollide(v.x - B_timedspeed, v.y + v.h - 1) then
		v.x = math.floor(v.x / tiledivisor) * tiledivisor
		bulletcollided = true
		shootable = true
		end
		if B_mapCollide(v.x + B_timedspeed + v.w, v.y + 1) or B_mapCollide(v.x + B_timedspeed + v.w, v.y + v.h - 1) then
		v.x = (math.floor((v.x + v.w + B_timedspeed) / tiledivisor) * tiledivisor) - v.w
		bulletcollided = true
		shootable = true
		end
	end
end

function bulletdraw()
	for i,v in ipairs(bullet) do
		g.setColor(255,255,255,255)
		if v.direction == "right" then
		g.draw(B_pic,v.x,v.y,0,2,2)
		end
		if v.direction == "left" then
		g.draw(B_pic,v.x,v.y,0,-2,2)
		end
	end
end

function bullet_storeXY(dt)
	for i,v in ipairs(bullet) do
		B_x = v.x
		B_y = v.y
	end
end



function bulletremove()
	for i,v in ipairs(bullet) do
		if v.x < 0 or
		v.x > g.getWidth() + 20 or
		bulletcollided == true then
		table.remove(bullet)
		bulletcollided = false
		B_x = 0
		B_y = 0
		end
	end
end

function bullet_counter_draw()
	if startstate == "started" then
	 for i = 1, P_bullets do
     g.draw(B_pic, i*32, 26, math.rad(-90), 4, 4)
	end
	end
end