player = {x=64,y=0,yvel = 0, grav = 750,h = 32, w = 32,speed = 240,facing = "right"}

--Skins and ANIMATIONS

	playerR = {}
	playerR[1] = love.graphics.newImage("pics/animations/playerR.png")
	playerR[2] = love.graphics.newImage("pics/animations/playerR2.png")
	playerR[3] = love.graphics.newImage("pics/animations/playerR3.png")
	playerR[4] = love.graphics.newImage("pics/animations/playerR4.png")

	playerL = {}
	playerL[1] = love.graphics.newImage("pics/animations/playerL.png")
	playerL[2] = love.graphics.newImage("pics/animations/playerL2.png")
	playerL[3] = love.graphics.newImage("pics/animations/playerL3.png")
	playerL[4] = love.graphics.newImage("pics/animations/playerL4.png")

-----------------


function player.load()
	if maploaded == true then
	  for y = 1, #map do
      for x = 1, #map[y] do
         if map[y][x] == X then
            player.x = x * player.w - player.w
            player.y = y * player.h - player.h
					end
				end
			end
		onGround = false
		player.yvel = 0
	end
end

function playerupdate(dt)
if secret == "OFF MOFO" then

	if maploaded == true then
	
	local dt = math.min(dt,0.1)

	P_timedSpeed = player.speed * dt
	P_timedyvel = player.yvel * dt
	player.yvel = player.yvel + player.grav * dt
	
	--Left and Right Collision
	if love.keyboard.isDown("left") then
		player.facing = "left"
		B_direction = "left"
		P_pic = playerL[P_num]
		player_animtimer = player_animtimer + dt
		if player_animtimer > 0.1 then
		P_num = P_num + 1
		player_animtimer = 0
		end
		if mapCollide(player.x - P_timedSpeed, player.y + 1) or mapCollide(player.x - P_timedSpeed, player.y + player.h - 1) then
			player.x = math.floor(player.x / tiledivisor) * tiledivisor
		else
			player.x = player.x - P_timedSpeed
		end
		if P_num > 4 then
		P_num = 1
		end
	end
	if love.keyboard.isDown("right") then
		player.facing = "right"
		B_direction = "right"
		P_pic = playerR[P_num]
		player_animtimer = player_animtimer + dt
		if player_animtimer > 0.1 then
		P_num = P_num + 1
		player_animtimer = 0
		end
		if mapCollide(player.x + P_timedSpeed + player.w, player.y + 1) or mapCollide(player.x + P_timedSpeed + player.w, player.y + player.h - 1) then
			player.x = (math.floor((player.x + player.w + P_timedSpeed) / tiledivisor) * tiledivisor) - player.w
		else
			player.x = player.x + P_timedSpeed
		end
		if P_num > 4 then
		P_num = 1
		end
	end
   
   --Up and Down Collision
	if math.abs(P_timedyvel) < tiledivisor then j = math.abs(P_timedyvel) else j = tiledivisor end
	if P_timedyvel > 0 then negateit = 1 else negateit = -1 end
	if mapCollide(player.x + 1, player.y + player.h + j*negateit) or mapCollide(player.x + player.w - 1, player.y + player.h + j*negateit) then
		player.y =(math.floor((player.y + player.h + j) / tiledivisor) * tiledivisor) - player.h
		player.yvel = 0
		onGround = true
		P_storedY = 0
	elseif mapCollide(player.x + 1, player.y + j*negateit) or mapCollide(player.x + player.w - 1, player.y + j*negateit) then
		player.y = math.floor(player.y / tiledivisor) * tiledivisor
		player.yvel = 10
		jumping = false
		
	else
		player.y = player.y + j*negateit
		onGround = false
			end
		end
	end
end


function playerjump(dt)
	local jumpSpeed = 2
	
	if love.keyboard.isDown("up") and (onGround or jumping) then
	if P_timer < .3 then
	jumpSpeed = jumpSpeed - (P_timer * 2.6)
	player.yvel = -164 * jumpSpeed
	--player.yvel = -250 * jumpSpeed
	jumping = true
		end
	else
	jumping = false
	P_timer = 0
		end
	end


function playerP_timer(dt)
	if love.keyboard.isDown("up") then
	P_timer = P_timer + dt
	end
end

function playerjumpMax(dt)
	if P_storedY - player.y == 64 then
	player.yvel = 0
	P_timer = 0
	P_storedY = 0
	jumping = false
	end
end

function playerfall(key)
	if key == "up" then
      player.yvel = math.max(player.yvel,0)
	  jumping = false
	end
end

function playerstore(key)
	if key == "up" then
	P_storedY = player.y
	end
end

function player_animreset(key)
	if key == "left" or
	key == "right" then
	player_animtimer = 0
	P_num = 1
	end
	if player.facing == "left" then
		P_pic = playerL[P_num]
	end
	if player.facing == "right" then
		P_pic = playerR[P_num]
	end
end

function playerdraw()
	g.setColor(255,255,255,255)
	g.draw(P_pic, player.x, player.y,0,2,2,0)
end


function skinchange(key)
	if key == "s" then
	skin = skin + 1
	end
	if skin > 1 then
	skin = 1
	end
end